aboutsummaryrefslogtreecommitdiffstats
path: root/unmaintained/buildbot/buildmaster.initd
diff options
context:
space:
mode:
authorFrancesco Colista <fcolista@alpinelinux.org>2019-04-08 10:13:59 +0000
committerFrancesco Colista <fcolista@alpinelinux.org>2019-04-08 11:38:21 +0000
commit881647d2b55fd0b7d76f088c85cd8ceb2a0a1027 (patch)
treedf78bc44494146bb2f22dc2b6cfa11466d05bca1 /unmaintained/buildbot/buildmaster.initd
parent4dc192196b495eb6f5e11f6827cc23834c2fd001 (diff)
downloadaports-881647d2b55fd0b7d76f088c85cd8ceb2a0a1027.tar.bz2
aports-881647d2b55fd0b7d76f088c85cd8ceb2a0a1027.tar.xz
unmaintained/buildbot: moved from community.
The number of requirements are too high, and also requires specific versions. We can't maintain it. The best thing to do is having pip install the needed dependencies.
Diffstat (limited to 'unmaintained/buildbot/buildmaster.initd')
-rw-r--r--unmaintained/buildbot/buildmaster.initd69
1 files changed, 69 insertions, 0 deletions
diff --git a/unmaintained/buildbot/buildmaster.initd b/unmaintained/buildbot/buildmaster.initd
new file mode 100644
index 0000000000..05c1a10104
--- /dev/null
+++ b/unmaintained/buildbot/buildmaster.initd
@@ -0,0 +1,69 @@
+#!/sbin/openrc-run
+# Copyright 1999-2013 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+extra_started_commands="reload"
+extra_stopped_commands="create"
+
+depend() {
+ need net
+}
+
+checkconfig() {
+ if [ -z "${BASEDIR}" ]; then
+ eerror "BASEDIR not set"
+ return 1
+ fi
+ if [ -z "${USERNAME}" ]; then
+ eerror "USERNAME not set"
+ return 1
+ fi
+ if [ ! -d "${BASEDIR}" ]; then
+ eerror "${BASEDIR} is not a directory"
+ return 1
+ fi
+ if [ ! -e "${BASEDIR}/buildbot.tac" ]; then
+ eerror "${BASEDIR} does not contain buildbot.tac"
+ return 1
+ fi
+}
+
+start() {
+ checkconfig || return 1
+ ebegin "Starting buildmaster in ${BASEDIR}"
+ start-stop-daemon --start -u "${USERNAME}" \
+ --pidfile "${BASEDIR}/buildmaster.pid" \
+ --exec /usr/bin/python -- /usr/bin/twistd \
+ --no_save \
+ --logfile="${BASEDIR}/twistd.log" \
+ --pidfile="${BASEDIR}/buildmaster.pid" \
+ --python="${BASEDIR}/buildbot.tac"
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping buildmaster in ${BASEDIR}"
+ start-stop-daemon --stop --pidfile "${BASEDIR}/buildmaster.pid"
+ eend $?
+}
+
+reload() {
+ ebegin "Reconfiguring buildmaster in ${BASEDIR}"
+ start-stop-daemon --signal HUP --pidfile \
+ "${BASEDIR}"/buildmaster.pid
+ eend $?
+}
+
+create() {
+ if [ -e "${BASEDIR}"/buildbot.tac -o -e "${BASEDIR}"/master.cfg ]; then
+ eerror "${BASEDIR} already contains buildbot.tac or master.cfg"
+ return 1
+ fi
+ ebegin "Creating buildmaster in ${BASEDIR}"
+ start-stop-daemon -u "${USERNAME}" \
+ --exec /usr/bin/buildbot \
+ -- create-master -r "${BASEDIR}"
+ mv "${BASEDIR}"/master.cfg.sample "${BASEDIR}"/master.cfg
+ ewarn "Remember to customize exemplary master.cfg in ${BASEDIR}"
+ eend $?
+}